version: '3'

networks:
  java:
    driver: bridge

services:
  api:
    build: .
    restart: unless-stopped
    ports:
      - "8000:8080"
    depends_on:
      - mysql
    networks:
      java:
        aliases:
          - "api"
  mysql:
    image: mysql:5.6
    restart: unless-stopped
    volumes:
      - "./data/database:/var/lib/mysql"
    environment:
      MYSQL_ROOT_PASSWORD: root
    volumes:
      - "./RssFeedAgregator.sql:/docker-entrypoint-initdb.d/RssFeedAgregator.sql"
    ports:
      - "3306:3306"
    networks:
      java:
        aliases:
          - "mysql"
  adminer:
    image: adminer
    restart: unless-stopped
    depends_on:
      - mysql
    ports:
      - "8001:8080"
    networks:
      java:
